MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028679Open CASCADE[OCCT] OCCT:Foundation Classespublic2017-04-24 19:202017-09-29 16:25
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx86_64OSiphone simulator OS Version10.3
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028679: Foundation Classes - OSD_Process::UserName rises EXC_BAD_ACCESS on iphone simulator
DescriptionOSD_Process::UserName rises EXC_BAD_ACCESS on iphone simulator
Steps To Reproducen/a
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0065489)
git (administrator)
2017-04-24 19:33

Branch CR28679 has been created by ibs.

SHA-1: 1dbdacb8472b16c1bbf3ae2cb0065926f4978c36


Detailed log of new commits:

Author: ibs
Date: Mon Apr 24 19:23:55 2017 +0300

    0028679: Foundation Classes - OSD_Process::UserName rises EXC_BAD_ACCESS on iphone simulator
    
    check for a null pointer is added
(0065490)
ibs (developer)
2017-04-24 19:33

could you please review CR28679 OCCT branch
(0065491)
git (administrator)
2017-04-24 19:40

Branch CR28679 has been updated forcibly by ibs.

SHA-1: 24d58afa2f90e7af40a74b7c2c6b501af9f5c540
(0065492)
kgv (developer)
2017-04-24 19:41

Please test the patch.
(0065571)
mkv (tester)
2017-04-26 18:14

Dear BugMaster,
Branch CR28679 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 24d58afa2f90e7af40a74b7c2c6b501af9f5c540

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1202

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91813207 / 91866837 [-0.06%]
Total CPU difference: 19644.769999999986 / 19560.91000000033 [+0.43%]
products component :
Total MEMORY difference: 31240592 / 31266420 [-0.08%]
Total CPU difference: 5456.209999999986 / 5400.099999999974 [+1.04%]
Testing on Windows:
occt component :
Total MEMORY difference: 58036543 / 58034445 [+0.00%]
Total CPU difference: 18187.735387298784 / 18123.182173498568 [+0.36%]
products component :
Total MEMORY difference: 22650105 / 22611847 [+0.17%]
Total CPU difference: 5245.299623499961 / 5410.192680499973 [-3.05%]

There are no differences in images found by testdiff.
(0065572)
mkv (tester)
2017-04-26 18:15

Dear BugMaster,
Branch CR28679 is TESTED.
(0065975)
git (administrator)
2017-05-12 11:36

Branch CR28679 has been deleted by kgv.

SHA-1: 24d58afa2f90e7af40a74b7c2c6b501af9f5c540

- Related Changesets
occt: master 505e241c
Timestamp: 2017-04-24 16:23:55
Author: ibs
Committer: bugmaster
Details ] Diff ]
0028679: Foundation Classes - OSD_Process::UserName rises EXC_BAD_ACCESS on iphone simulator

check for a null pointer is added
mod - src/OSD/OSD_Process.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-24 19:20 ibs New Issue
2017-04-24 19:20 ibs Assigned To => ibs
2017-04-24 19:33 git Note Added: 0065489
2017-04-24 19:33 ibs Note Added: 0065490
2017-04-24 19:33 ibs Assigned To ibs => kgv
2017-04-24 19:33 ibs Status new => resolved
2017-04-24 19:33 ibs Steps to Reproduce Updated View Revisions
2017-04-24 19:40 git Note Added: 0065491
2017-04-24 19:41 kgv Note Added: 0065492
2017-04-24 19:41 kgv Assigned To kgv => bugmaster
2017-04-24 19:41 kgv Status resolved => reviewed
2017-04-24 19:41 ibs Assigned To bugmaster => abv
2017-04-24 19:41 ibs Status reviewed => assigned
2017-04-24 19:42 ibs Assigned To abv => bugmaster
2017-04-24 19:42 ibs Status assigned => feedback
2017-04-24 19:45 kgv Status feedback => reviewed
2017-04-24 20:37 mkv Assigned To bugmaster => mkv
2017-04-26 18:14 mkv Note Added: 0065571
2017-04-26 18:15 mkv Note Added: 0065572
2017-04-26 18:15 mkv Assigned To mkv => bugmaster
2017-04-26 18:15 mkv Status reviewed => tested
2017-04-26 18:15 mkv Test case number => Not needed
2017-04-28 13:08 bugmaster Changeset attached => occt master 505e241c
2017-04-28 13:08 bugmaster Status tested => verified
2017-04-28 13:08 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065975
2017-09-29 16:19 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker